package org.qatools.util;


public class LongUtil extends QAToolsUtil {
    private static long cUniqueLong = System.currentTimeMillis();

    // --------------------------------------------------------------------
    // ----- 
    // --------------------------------------------------------------------


    /**
     * Returns a unique long starting with System.currentTimeMillis() so it's almost guaranteed to be unique the next time the JVM re-starts 
     * since it starts at the current system time.
     */
    public synchronized static long getUniqueLong() {
        return cUniqueLong++;
    }

    /**
     * Returns a unique long starting with 0. Not guaranteed to be unique the next time the JVM re-starts because it starts at 0 again.
     */
    private static long i = 0;
    public synchronized static long getUniqueLong2() {
        return i++;
    }

}